/* ------------------ LOGIN + SIGNUP ------------------*/
#login, #signup{
    box-sizing: border-box;
    padding: 60px 10px;
    text-align: center;
    line-height: 2;
    background-color: white;
}

#login label{ 
    display: none;
}

#signup fieldset {
    border: none;
}

#login h1 {
    margin: 3% 0;
    font-size: large;
}
  
#signup h1 {
    margin: 3% 0 0;
    font-size: large;
}
  
#signup label[for="name"], #signup label[for="email"],
#signup label[for="password"], #signup label[for="v-password"] {
    display: block;
    font-size: medium;
    text-align: left;
    margin-left: 10%;
    margin-top: 10px;
    color: #3f3e3e;
}
  
#login form, #signup form{
    border: 1px solid #858585;
    border-radius: 5px;
    margin: 0 4% 10%; 
    padding: 5% 2% 10%;
}
  
#login input{
    box-sizing: border-box;
    padding: 10px;
    width: 80%;
    border: 1px solid #858585;
    border-radius: 5px;
    margin-bottom: 20px;
}
  
#signup input[type="text"], #signup input[type="password"], #signup input[type="submit"]{
    box-sizing: border-box;
    padding: 10px;
    width: 80%;
    border: 1px solid #858585;
    border-radius: 5px;
}
  
#signup input[type="radio"] {
    width: 10%;
    height: 3%;
    opacity: 0;
    padding: 5vw;
    position: absolute; 
    z-index: 1;
    display: block;
	margin: 1vw 0;
	margin-left: 3vw;
    cursor: pointer;
}

#signup label.type {
    display: block;
	position: relative;
    font-size: medium;
    text-align: left;
    margin: 1vw 0;
    margin-left: 2vw;
}
  
#signup label.type:before {
    content: '';
    background: #f1f1f1;
	border: 2px solid #969696;
    display: inline-block;
    vertical-align: middle;
    width: 5vw;
    height: 5vw;
    padding: 4px;
    margin: 2px 10px;
    text-align: center;
}
  
#signup input[type="radio"]:checked + label.type:before{
    content: "\2713";
    height: 5vw;
    width: 5vw;
    background-size: cover;
    color: black;
}
  
#signup input[type="radio"]:checked{
	border: 2px solid black;
}
  
.error-message {
    padding: 5% 2%;
    border: 1px solid #c40000;
    box-shadow: 0 0 0 5px #fcf4f4 inset;
    border-radius: 5px;
    margin: 0 4% 5%;
    font-size: 4vw;
}

.error {
    color: red;
    width: 80%;
}
  
#login input[type="submit"], #signup input[type="submit"]{
    font-weight: bold; 
    margin-bottom: 35px;
    margin-top: 5px;
}
  
#login form a{
    text-decoration: none;
    color: #0066c0;
}
  
#signup input[type="checkbox"]{
    width: auto;
}
  
#signup p {
    font-size: small;
    margin: 0;
}
  
@media only screen and (min-width: 600px) {
    #login input, #signup input{max-width: 500px;}
  
    #login form, #signup form{
        width: 30%;
        margin: 0 auto 2%;
        padding: 2% 2% 4%;
    }
  
    .error-message {
        width: 30%;
        padding: 2% 2%;
        margin: 0 auto 2%;
        font-size: 1.5vw;
    }

    #signup label.type:before {
        width: 2vw;
        height: 2vw;
    }
      
    #signup input[type="radio"]:checked + label.type:before{
        height: 2vw;
        width: 2vw;
    }

    #signup input[type="radio"] {
        width: 2%;
        height: 5%;
    }
    
}